Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class AbstractValueFactory

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory

Direct Known Subclasses:
  AbstractValueManager, FontShorthandManager, MarginShorthandManager, MarkerShorthandManager

    public abstract class AbstractValueFactory

extends Object

This class provides a base implementation for the value factories.

Constructor Summary
`AbstractValueFactory()`

Method Summary
`protected DOMException` | `createDOMException()`
`protected DOMException` | `createInvalidFloatTypeDOMException(short t)` Creates a DOM exception, given an invalid float type.
`protected DOMException` | `createInvalidFloatValueDOMException(float f)` Creates a DOM exception, given an invalid float value.
`protected DOMException` | `createInvalidIdentifierDOMException(String ident)` Creates a DOM exception, given an invalid identifier.
`protected DOMException` | `createInvalidLexicalUnitDOMException(short type)` Creates a DOM exception, given an invalid lexical unit type.
`protected DOMException` | `createInvalidStringTypeDOMException(short t)` Creates a DOM exception, given an invalid string type.
`protected DOMException` | `createMalformedLexicalUnitDOMException()`
`abstract String` | `getPropertyName()` Returns the name of the property handled.
`protected static String` | `resolveURI(ParsedURL base, String value)` Resolves an URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractValueFactory

    public AbstractValueFactory()

Method Detail

### getPropertyName

    public abstract String getPropertyName()

  Returns the name of the property handled.

### resolveURI

    protected static String resolveURI(ParsedURL base,
                                       String value)

  Resolves an URI.

### createInvalidIdentifierDOMException

    protected DOMException createInvalidIdentifierDOMException(String ident)

  Creates a DOM exception, given an invalid identifier.

### createInvalidLexicalUnitDOMException

    protected DOMException createInvalidLexicalUnitDOMException(short type)

  Creates a DOM exception, given an invalid lexical unit type.

### createInvalidFloatTypeDOMException

    protected DOMException createInvalidFloatTypeDOMException(short t)

  Creates a DOM exception, given an invalid float type.

### createInvalidFloatValueDOMException

    protected DOMException createInvalidFloatValueDOMException(float f)

  Creates a DOM exception, given an invalid float value.

### createInvalidStringTypeDOMException

    protected DOMException createInvalidStringTypeDOMException(short t)

  Creates a DOM exception, given an invalid string type.

### createMalformedLexicalUnitDOMException

    protected DOMException createMalformedLexicalUnitDOMException()

### createDOMException

    protected DOMException createDOMException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.